/*
 * IBM Confidential 
 *
 * OCO Source Materials
 *
 * IBM Configure, Price , Quote (5725 D11)
 *
 * (c) Copyright IBM Corp. 2016 All Rights Reserved.
 *
 * The source code for this program is not published or otherwise divested of its trade secrets,
 * irrespective of what has been deposited with the U.S. Copyright Office.
 */

/*global angular */
(function (module) {
    'use strict';
    module.directive('errSrc', ['$window', function ($window) {
        return {
            restrict: 'AE',
            link: function (scope, element, attrs) {
                var setImage = function () {

                    if (!angular.isUndefined($window.sfdcDetails) && !angular.isUndefined($window.sfdcDetails.resourcePath)) {
                        attrs.$set('src', $window.sfdcDetails.resourcePath + '/images/NoImageIcon.jpg');
                    } else {
                        attrs.$set('src', 'images/NoImageIcon.jpg');
                    }
                };
                if (angular.isUndefined(attrs['ngSrc'])) {
                    setImage();
                } else {
                    element.bind('error', setImage);
                }
            }
        };
	}]);
}(angular.module('ibmConfiguratorApp.configurator')));
